Bullet Collision Detection & Physics Library: btGjkConvexCast Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
btGjkConvexCast Class Reference

GjkConvexCast performs a raycast on a convex object using support mapping. More...

`#include <btGjkConvexCast.h>`

Inheritance diagram for btGjkConvexCast:
[legend]
Collaboration diagram for btGjkConvexCast:
[legend]

## Public Member Functions
| btGjkConvexCast (const btConvexShape *convexA, const btConvexShape *convexB, btSimplexSolverInterface *simplexSolver)
virtual bool | calcTimeOfImpact (const btTransform &fromA, const btTransform &toA, const btTransform &fromB, const btTransform &toB, CastResult &result)
| cast a convex against another convex object
Public Member Functions inherited from btConvexCast
virtual | ~btConvexCast ()
virtual bool | calcTimeOfImpact (const btTransform &fromA, const btTransform &toA, const btTransform &fromB, const btTransform &toB, CastResult &result)=0
| cast a convex against another convex object

## Private Attributes
btSimplexSolverInterface * | m_simplexSolver
const btConvexShape * | m_convexA
const btConvexShape * | m_convexB

## Detailed Description

GjkConvexCast performs a raycast on a convex object using support mapping.

Definition at line 28 of file btGjkConvexCast.h.

## Constructor & Destructor Documentation

## ◆ btGjkConvexCast()

btGjkConvexCast::btGjkConvexCast | ( | const btConvexShape * | convexA,
|  | const btConvexShape * | convexB,
|  | btSimplexSolverInterface * | simplexSolver
| ) |  |

Definition at line 28 of file btGjkConvexCast.cpp.

## Member Function Documentation

## ◆ calcTimeOfImpact()

bool btGjkConvexCast::calcTimeOfImpact | ( | const btTransform & | fromA,
|  | const btTransform & | toA,
|  | const btTransform & | fromB,
|  | const btTransform & | toB,
|  | CastResult & | result
| ) |  |
| virtual

cast a convex against another convex object

compute linear velocity for this interval, to interpolate

Implements btConvexCast.

Definition at line 35 of file btGjkConvexCast.cpp.

## Member Data Documentation

## ◆ m_convexA

const btConvexShape* btGjkConvexCast::m_convexA
| private

Definition at line 31 of file btGjkConvexCast.h.

## ◆ m_convexB

const btConvexShape* btGjkConvexCast::m_convexB
| private

Definition at line 32 of file btGjkConvexCast.h.

## ◆ m_simplexSolver

btSimplexSolverInterface* btGjkConvexCast::m_simplexSolver
| private

Definition at line 30 of file btGjkConvexCast.h.

The documentation for this class was generated from the following files:

- btGjkConvexCast.h
- btGjkConvexCast.cpp